import random as r

# القاموس المرتبط بالتشفير
cipher_dict = {
    "⟁": "a", "⨀": "b", "⨂": "c", "⨄": "d", "⨅": "e",
    "⩃": "f", "⩅": "g", "⩆": "h", "⩇": "i", "⩉": "j",
    "⩊": "k", "⩋": "l", "⩍": "m", "⩎": "n", "⩏": "o", "⩐": "p",
    "⩒": "q", "⩑": "r", "⩓": "s", "⩔": "t", "⩕": "u",
    "⩖": "v", "⩗": "w", "⩘": "x", "⩙": "y", "⩚": "z",
    "⪀": "0", "⪁": "1", "⪂": "2", "⪃": "3", "⪄": "4",
    "⪅": "5", "⪆": "6", "⪇": "7", "⪈": "8", "⪉": "9"
}

# إنشاء رموز مخصصة للأحرف الكبيرة
uppercase_cipher_dict = {chr(ord(k) + 1000): v.upper() for k, v in cipher_dict.items() if v.isalpha()}
cipher_dict.update(uppercase_cipher_dict)


def Word_Dec(Encoded_Letter: str) -> str:
    """Decryping Word In ENDC Style 🔓."""

    if len(Encoded_Letter) > 3:
    
        encrypted_password = ""
        for char in Encoded_Letter:
            encrypted_password += cipher_dict.get(char, char)  # الاحتفاظ بالحروف غير المشفرة كما هي
        
        return encrypted_password
    else :
        raise ValueError("Your input must be at least 4 characters long!")

