import random as r

# القاموس المرتبط بالتشفير
cipher_dict = {
    "⟁": "a", "⨀": "b", "⨂": "c", "⨄": "d", "⨅": "e",
    "⩃": "f", "⩅": "g", "⩆": "h", "⩇": "i", "⩉": "j",
    "⩊": "k", "⩋": "l", "⩍": "m", "⩎": "n", "⩏": "o", "⩐": "p",
    "⩒": "q", "⩑": "r", "⩓": "s", "⩔": "t", "⩕": "u",
    "⩖": "v", "⩗": "w", "⩘": "x", "⩙": "y", "⩚": "z",
    "⪀": "0", "⪁": "1", "⪂": "2", "⪃": "3", "⪄": "4",
    "⪅": "5", "⪆": "6", "⪇": "7", "⪈": "8", "⪉": "9"
}

# إنشاء رموز مخصصة للأحرف الكبيرة
uppercase_cipher_dict = {chr(ord(k) + 1000): v.upper() for k, v in cipher_dict.items() if v.isalpha()}
cipher_dict.update(uppercase_cipher_dict)


def Word_Enc(Letter: str) -> str:
    """Word Must Be More Than 3 Words To Encryped 🔒."""
    if len(Letter) > 3:
        reverse_cipher_dict = {v: k for k, v in cipher_dict.items()}
        original_password = ""
        i = 0
        while i < len(Letter):
            for symbol, letter in reverse_cipher_dict.items():
                if Letter[i:i+len(symbol)] == symbol:
                    original_password += letter
                    i += len(symbol)
                    break
            else:
                original_password += Letter[i]  # الاحتفاظ بالحروف غير المشفرة كما هي
                i += 1
        
        return original_password

    else :
        raise ValueError("Your input must be at least 4 characters long!")